Bug 1284681 - [abrt] blueman: connection.py:651:call_blocking:DBusException: org.freedesktop.DBus.Error.TimedOut: Activation of org.bluez timed out
[abrt] blueman: connection.py:651:call_blocking:DBusException: org.freedeskto...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: blueman (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:ea748b1d4a3364c8d27227ce7e9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-23 16:42 EST by Marcus
Modified: 2017-01-08 14:32 EST (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:31:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.52 KB, text/plain)
2015-11-23 16:43 EST, Marcus
no flags Details
File: environ (1.45 KB, text/plain)
2015-11-23 16:43 EST, Marcus
no flags Details

  None (edit)
Description Marcus 2015-11-23 16:42:56 EST
Description of problem:
Environment - Standard "Fedora 22 - xfce" install
bluetooth support was added.
Recently the bluez libraries were updated from within DNF.
After that I get this message each time I boot up.

Sorry not much more to go on.

Thanks and Regards.

Marcus Marshall.

Version-Release number of selected component:
blueman-2.0-11.fc22

Additional info:
reporter:       libreport-2.6.3
cmdline:        python /usr/bin/blueman-applet
dso_list:       dbus-python-1.2.0-7.fc22.x86_64
executable:     /usr/bin/blueman-applet
kernel:         4.2.6-200.fc22.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
connection.py:651:call_blocking:DBusException: org.freedesktop.DBus.Error.TimedOut: Activation of org.bluez timed out

Traceback (most recent call last):
  File "/usr/bin/blueman-applet", line 121, in <module>
    BluemanApplet()
  File "/usr/bin/blueman-applet", line 63, in __init__
    self.Plugins.Load()
  File "/usr/lib/python2.7/site-packages/blueman/main/PluginManager.py", line 90, in Load
    __import__(self.module_path.__name__ + ".%s" % plugin, None, None, [])
  File "/usr/lib/python2.7/site-packages/blueman/plugins/applet/AuthAgent.py", line 9, in <module>
    import blueman.main.applet.BluezAgent as BluezAgent
  File "/usr/lib/python2.7/site-packages/blueman/main/applet/BluezAgent.py", line 20, in <module>
    from blueman.bluez.Agent import Agent, AgentMethod
  File "/usr/lib/python2.7/site-packages/blueman/bluez/Agent.py", line 48, in <module>
    class Agent(dbus.service.Object):
  File "/usr/lib/python2.7/site-packages/blueman/bluez/Agent.py", line 56, in Agent
    @AgentMethod
  File "/usr/lib/python2.7/site-packages/blueman/bluez/Agent.py", line 38, in AgentMethod
    if BlueZInterface.get_interface_version()[0] < 5:
  File "/usr/lib/python2.7/site-packages/blueman/bluez/BlueZInterface.py", line 16, in get_interface_version
    obj = dbus.SystemBus().get_object('org.bluez', '/')
  File "/usr/lib64/python2.7/site-packages/dbus/bus.py", line 241, in get_object
    follow_name_owner_changes=follow_name_owner_changes)
  File "/usr/lib64/python2.7/site-packages/dbus/proxies.py", line 248, in __init__
    self._named_service = conn.activate_name_owner(bus_name)
  File "/usr/lib64/python2.7/site-packages/dbus/bus.py", line 180, in activate_name_owner
    self.start_service_by_name(bus_name)
  File "/usr/lib64/python2.7/site-packages/dbus/bus.py", line 278, in start_service_by_name
    'su', (bus_name, flags)))
  File "/usr/lib64/python2.7/site-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
DBusException: org.freedesktop.DBus.Error.TimedOut: Activation of org.bluez timed out

Local variables in innermost frame:
byte_arrays: False
self: <dbus._dbus.SystemBus (system) at 0x7f1770067b90>
args: (u'org.bluez', 0)
object_path: '/org/freedesktop/DBus'
signature: 'su'
bus_name: 'org.freedesktop.DBus'
get_args_opts: {'byte_arrays': False, 'utf8_strings': False}
timeout: -1.0
kwargs: {}
dbus_interface: 'org.freedesktop.DBus'
message: <dbus.lowlevel.MethodCallMessage path: /org/freedesktop/DBus, iface: org.freedesktop.DBus, member: StartServiceByName dest: org.freedesktop.DBus>
method: 'StartServiceByName'
Comment 1 Marcus 2015-11-23 16:43:01 EST
Created attachment 1097867 [details]
File: backtrace
Comment 2 Marcus 2015-11-23 16:43:03 EST
Created attachment 1097868 [details]
File: environ
Comment 3 jd1008 2015-11-23 20:49:34 EST
Another user experienced a similar problem:

I restarted (powered on) the computer after a suspend to disk.
I logged in and a few seconds later, all the apps crashed.

reporter:       libreport-2.6.3
cmdline:        python /bin/blueman-applet
dso_list:       dbus-python-1.2.0-7.fc22.x86_64
event_log:      2015-11-23-18:36:57> ('report_uReport' completed successfully)
executable:     /bin/blueman-applet
kernel:         4.2.6-200.fc22.x86_64
package:        blueman-2.0-11.fc22
reason:         connection.py:651:call_blocking:DBusException: org.freedesktop.DBus.Error.TimedOut: Activation of org.bluez timed out
runlevel:       N 5
type:           Python
uid:            1008
Comment 4 Marcus 2015-12-27 01:30:23 EST
FYI, does not occur on F23.
Comment 5 Fedora Admin XMLRPC Client 2016-06-21 12:25:32 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora End Of Life 2016-07-19 14:31:24 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.